[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBLookup.Initialize

Initialize makes links between local Fields and the appropriate fields in the remote data source, then fetches the lookup data.

## Declaration

Source position: dbctrls.pp line 155

`public procedure TDBLookup.Initialize(`
`AControlDataLink: TFieldDataLink;`
`AControlItems: TStrings`
`);`

## Arguments

`AControlDataLink` |  | Link to the dataset with the keys and display values for the control.
`AControlItems` |  | Contains the keys and display values for the lookup control.

## Description

Initialize is called when the value in the Active property for the list dataset is changed to True. No actions are performed in the method if it has already been called, but has not yet finished.

When ScrollListDataset is True, the linked datasets for the control and its lookup list are synchronized. The lookup dataset is positioned to the record with the values in the key fields. When ScrollListDataset is set to False, the datasets are not synchronized.